org.apache.xerces.util

## Class SoftReferenceSymbolTable.SREntry

- java.lang.Object
- - java.lang.ref.Reference<T>
  - - java.lang.ref.SoftReference
    - - org.apache.xerces.util.SoftReferenceSymbolTable.SREntry

Enclosing class:
  SoftReferenceSymbolTable

    protected static final class SoftReferenceSymbolTable.SREntry
    extends java.lang.ref.SoftReference

This class is a symbol table entry. Each entry acts as a node in a doubly-linked list. The "SR" stands for SoftReference.

### Field Summary

Fields
`int` `bucket`
`SoftReferenceSymbolTable.SREntry` `next` The next entry.
`SoftReferenceSymbolTable.SREntry` `prev` The previous entry.

### Constructor Summary

Constructors
Constructor and Description
`SREntry(java.lang.String internedSymbol, char[] ch, int offset, int length, SoftReferenceSymbolTable.SREntry next, int bucket, java.lang.ref.ReferenceQueue q)` Constructs a new entry from the specified symbol information and next entry reference.
`SREntry(java.lang.String internedSymbol, SoftReferenceSymbolTable.SREntry next, int bucket, java.lang.ref.ReferenceQueue q)` Constructs a new entry from the specified symbol and next entry reference.

### Method Summary

### Methods inherited from class java.lang.ref.SoftReference

`get`

### Methods inherited from class java.lang.ref.Reference

`clear, enqueue, isEnqueued`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### next

    public SoftReferenceSymbolTable.SREntry next

The next entry.

#### prev

    public SoftReferenceSymbolTable.SREntry prev

The previous entry.

#### bucket

    public int bucket

### Constructor Detail

#### SREntry

    public SREntry(java.lang.String internedSymbol,
                   SoftReferenceSymbolTable.SREntry next,
                   int bucket,
                   java.lang.ref.ReferenceQueue q)

Constructs a new entry from the specified symbol and next entry reference.

#### SREntry

    public SREntry(java.lang.String internedSymbol,
                   char[] ch,
                   int offset,
                   int length,
                   SoftReferenceSymbolTable.SREntry next,
                   int bucket,
                   java.lang.ref.ReferenceQueue q)

Constructs a new entry from the specified symbol information and next entry reference.